<modules name="all">
    <module name="MessageCenter" desc="">
    </module>

    <module name="UI_MainWnd" desc="主窗口发出的消息" count="15">
        <event name="KALAOK_EVENT_UI_MAIN_INITIALIZED" receiver="all"/>
        <event name="KALAOK_EVENT_UI_MAIN_EXIT" receiver="all"/>
        <event name="KALAOK_EVENT_UI_MAIN_MENU_TOPMOST" receiver="all"/>
        <event name="KALAOK_EVENT_UI_MAIN_MENU_HELP" receiver="all"/>
        <event name="KALAOK_EVENT_UI_MAIN_MENU_FEEDBACK" receiver="all"/>
        <event name="KALAOK_EVENT_UI_MAIN_EXTERNAL_MSG" receiver=""/>
        <event name="KALAOK_EVENT_UI_MAIN_CONFIG_UPDATED" receiver=""/>
        <event name="KALAOK_EVENT_UI_MAIN_PROCESS_WND_CLOSED" receiver=""/>
        <event name="KALAOK_EVENT_SYSTEM_ADD_AND_PLAY" receiver="DataCenter"/>
        <event name="KALAOK_EVENT_UI_MAIN_USER_LOGIN" receiver=""/>
        <event name="KALAOK_EVENT_UI_MAIN_USER_REGISTER" receiver=""/>
        <event name="KALAOK_EVENT_REGISTER_SUCCESS" receiver=""/>
        <event name="KALAOK_EVENT_UI_MAIN_USER_LOGIN_SECCESS" receiver=""/>
        <event name="KALAOK_EVENT_UI_MAIN_USER_LOGIN_FAILED" receiver=""/>
        <event name="KALAOK_EVENT_UI_MAIN_USER_LOGOUT" receiver=""/>
        <event name="KALAOK_EVENT_UI_MAIN_SHOW_USER_PANEL" receiver=""/>
        <event name="KALAOK_EVENT_UI_MAIN_HIDE_USER_PANEL" receiver=""/>
    </module>
        
    <module name="UI_Player" desc="UI部分播放器窗口发出的消息" count="24">
        <event name="KALAOK_EVENT_UI_PLAYER_INITIALIZED" receiver="all"/>
        
        <event name="KALAOK_EVENT_UI_PLAYER_PLAY" receiver="ConfigManager"/>
        <event name="KALAOK_EVENT_UI_PLAYER_RECORD" receiver="ConfigManager"/>
        <event name="KALAOK_EVENT_UI_PLAYER_PAUSE" receiver="ConfigManager"/>
        <event name="KALAOK_EVENT_UI_PLAYER_STOP" receiver="ConfigManager"/>
        <event name="KALAOK_EVENT_UI_PLAYER_SWITCH_MV" receiver="ConfigManager"/>
        <event name="KALAOK_EVENT_UI_PLAYER_SWITCH_AUDIO_TRACK" receiver="ConfigManager"/>
        <event name="KALAOK_EVENT_UI_PLAYER_SWITCH_DATA_PANEL" receiver=""/>
        <event name="KALAOK_EVENT_UI_PLAYER_SET_FULLSCREEN" receiver="ConfigManager"/>
        <event name="KALAOK_EVENT_UI_PLAYER_SET_MAIN_VOLUME" receiver="ConfigManager"/>
        <event name="KALAOK_EVENT_UI_PLAYER_SET_RECORD_VOLUME" receiver="ConfigManager"/>
        <event name="KALAOK_EVENT_UI_PLAYER_SET_MAIN_VOLUME_MUTE" receiver="ConfigManager"/>
        <event name="KALAOK_EVENT_UI_PLAYER_SET_RECORD_VOLUME_MUTE" receiver="ConfigManager"/>
        <event name="KALAOK_EVENT_UI_PLAYER_SET_VIDEO_MODE" receiver="ConfigManager"/>
        <event name="KALAOK_EVENT_UI_PLAYER_SET_PROGRESS" receiver="" />
        <event name="KALAOK_EVENT_UI_PLAYER_SETUP_DEVICE" receiver="" />
        <event name="KALAOK_EVENT_UI_PLAYER_CLOSE_MINIVIDEO" receiver=""/>
        <event name="KALAOK_EVENT_UI_PLAYER_OPEN_MINIVIDEO" receiver=""/>
        <event name="KALAOK_EVENT_UI_PLAYER_SWITCH_MINIVIDEO" receiver=""/>
        <event name="KALAOK_EVENT_UI_PLAYER_DOUBLE_CLICK" receiver=""/>
        <event name="KALAOK_EVENT_UI_PLAYER_DIAGRAM_CREATED" receiver=""/>
        <event name="KALAOK_EVENT_UI_PLAYER_POPUP_CONFIG" receiver=""/>
        <event name="KALAOK_EVENT_UI_PLAYER_SHOW_SOUND_GRAPH_DLG" receiver="" desc=""/>
        <event name="KALAOK_EVENT_SYSTEM_TIMER" receiver=""/>
    </module>

    <module name="UI_PROCESSOR" desc="UI部分后期处理窗口发出的消息" count="19">
        <event name="KALAOK_EVENT_UI_PROCESSOR_INITIALIZED" receiver="" />
        <event name="KALAOK_EVENT_UI_PROCESSOR_SET_PREVIEW_PROGRESS" receiver=""/>
        <event name="KALAOK_EVENT_UI_PROCESSOR_SELECT_VIDEO_MODE" receiver=""/>
        <event name="KALAOK_EVENT_UI_PROCESSOR_START_NOISE_REMOVAL" receiver=""/>
        <event name="KALAOK_EVENT_UI_PROCESSOR_SELECT_USE_DENOISE_RESULT" receiver=""/>
        <event name="KALAOK_EVENT_UI_PROCESSOR_SELECT_NOT_USE_DENOISE_RESULT" receiver=""/>
        <event name="KALAOK_EVENT_UI_PROCESSOR_CANCEL_DENOISE" receiver=""/>
        <event name="KALAOK_EVENT_UI_PROCESSOR_SELECT_REV" receiver=""/>
        <event name="KALAOK_EVENT_UI_PROCESSOR_SELECT_PREDEFINED_EQ" receiver=""/>
        <event name="KALAOK_EVENT_UI_PROCESSOR_SET_EQ_VALUE" receiver=""/>
        <event name="KALAOK_EVENT_UI_PROCESSOR_SET_PREAMP" receiver=""/>
        <event name="KALAOK_EVENT_UI_PROCESSOR_SET_VOLUME" receiver=""/>
        <event name="KALAOK_EVENT_UI_PROCESSOR_SAVE_RESULT" receiver=""/>
        <event name="KALAOK_EVENT_UI_PROCESSOR_SAVE_FINISHED" receiver=""/>
		<event name="KALAOK_EVENT_UI_PROCESSOR_CLICK_IMAGE" receiver=""/>
        
        <event name="KALAOK_EVENT_UI_PROCESSOR_EXITED" receiver=""/>
		<event name="KALAOK_EVENT_UI_PROCESSOR_SELECT_PHOTO_RECORD" receiver=""/>
		<event name="KALAOK_EVENT_UI_PROCESSOR_SAVE_WITH_PHOTO_RECORD" receiver=""/>
		<event name="KALAOK_EVENT_UI_PROCESSOR_MPLAYER_VERSION_LOW" receiver=""/>
    </module>
    
    <module name="UI_SAVE" desc="UI部分后期处理窗口弹出的保存对话框" count="2">
        <event name="KALAOK_EVENT_UI_SAVE_INITIALIZED" receiver=""/>
        <event name="KALAOK_EVENT_UI_SAVE_CANCELED" receiver=""/>
    </module>
    
    <module name="KALAOK_CONTROLLER" desc="KalaokController发出的消息" count="7">
        <event name="KALAOK_EVENT_KALAOK_CONTROLLER_STARTED_TO_PLAY" receiver="" desc=""/>
        
        <event name="KALAOK_EVENT_KALAOK_CONTROLLER_SAVE_FINISHED" receiver=""/>
        <event name="KALAOK_EVENT_KALAOK_CONTROLLER_SAVE_FAILED" receiver=""/>
        
        <event name="KALAOK_EVENT_KALAOK_CONTROLLER_PLAY_NEXT" receiver=""/>
        <event name="KALAOK_EVENT_KALAOK_CONTROLLER_PLAY_AGAIN" receiver=""/>
        
        <event name="KALAOK_EVENT_KALAOK_CONTROLLER_ADD_AND_SING_CURRENT_MV" receiver="" desc=""/>
        <event name="KALAOK_EVENT_KALAOK_CONTROLLER_USERSHOW_PLAY" receiver=""/>
    </module>

    <module name="UI_Data" desc="UI部分数据窗口发出的消息" count="4">
        <event name="KALAOK_EVENT_UI_MVDATA_INITIALIZED" receiver="All"/>
        <event name="KALAOK_EVENT_UI_DATA_SELECT_ALBUM" receiver="ConfigManager"/>
        <event name="KALAOK_EVENT_UI_DATA_SELECT_NOWPLAY" receiver="ConfigManager"/>
        <event name="KALAOK_EVENT_UI_DATA_SELECT_MYSONGS" receiver="ConfigManager"/>
    </module>
    
    <module name="UI_Data_Album" desc="榜单面板" count="6">
        <event name="KALAOK_EVENT_UI_DATA_ALBUM_SHOW_LIST_HOT" receiver="ConfigManager"/>
        <event name="KALAOK_EVENT_UI_DATA_ALBUM_SHOW_LIST_SINGER" receiver="ConfigManager"/>
        <event name="KALAOK_EVENT_UI_DATA_ALBUM_SHOW_LIST_SEARCH" receiver="ConfigManager"/>
        <event name="KALAOK_EVENT_UI_DATA_ALBUM_LIST_OPERATION" receiver="ConfigManager"/>
        <event name="KALAOK_EVENT_UI_DATA_ALBUM_SEARCH" receiver=""/>
        <event name="KALAOK_EVENT_UI_DATA_ALBUM_SORT" receiver=""/>
    </module>
    
    <module name="UI_Data_Nowplay" desc="'我点的歌'面板" count="2">
        <event name="KALAOK_EVENT_UI_DATA_NOWPLAY_LIST_OPERATION" receiver="ConfigManager"/>
        <event name="KALAOK_EVENT_UI_DATA_NOWPLAY_SORT" receiver="ConfigManager"/>
    </module>
    
    <module name="UI_Data_Mysongs" desc="'我录的歌'面板" count="3">
        <event name="KALAOK_EVENT_UI_DATA_MYSONGS_LIST_OPERATION" receiver="ConfigManager"/>
        <event name="KALAOK_EVENT_UI_DATA_MYSONGS_SORT" receiver=""/>
        <event name="KALAOK_EVENT_UI_DATA_MYSONGS_OPEN_FOLDER" receiver=""/>
    </module>
    
    <module name="Data_Album" desc="'我要点歌'数据模块发出的消息" count="4">
        <event name="KALAOK_EVENT_DATA_ALBUM_HOTALBUM_DATA_LOADED" />
    	<event name="KALAOK_EVENT_DATA_ALBUM_LIST_DATA_LOADED" />
		<event name="KALAOK_EVENT_DATA_ALBUM_LIST_DATA_PARTLOADED" />
    	<event name="KALAOK_EVENT_DATA_ALBUM_UPDATE_HOTALBUM_FAILED" />
    </module>
    
    <module name="Update" desc="'更新'数据模块发出的消息" count="3">
        <event name="KALAOK_EVENT_UPDATE_UPDATE_STATIC_IMG" />
        <event name="KALAOK_EVENT_UPDATE_UPDATE_DANAMIC_IMG" />
        <event name="KALAOK_EVENT_UPDATE_STATIC_IMG_LINK" />
    </module>
    
    <module name="Data_NowPlay" desc="'我点的歌'数据模块发出的消息" count="6">
        <event name="KALAOK_EVENT_DATA_NOWPLAY_LIST_DATA_LOADED" />
        <event name="KALAOK_EVENT_DATA_NOWPLAY_ADD_ITEM" />
        <event name="KALAOK_EVENT_DATA_NOWPLAY_DELETE_ITEM" />
        <event name="KALAOK_EVENT_DATA_NOWPLAY_INSERT_ITEM" />
        <event name="KALAOK_EVENT_DATA_NOWPLAY_DOWNLOAD_START" />
        <event name="KALAOK_EVENT_DATA_NOWPLAY_DOWNLOAD_PROGRESS" />
        <event name="KALAOK_EVENT_DATA_NOWPLAY_DOWNLOAD_FAILED" />
    </module>
    
    <module name="Data_MySongs" desc="'我录的歌'数据模块发出的消息" count="1">
    	<event name="KALAOK_EVENT_DATA_MYSONGS_LIST_DATA_LOADED" />
    </module>
    
    <module name="Data_Action" desc="数据控制中心发出的消息" count="8">
        <event name="KALAOK_EVENT_DATA_CENTER_PREPARE_TO_PLAY_MV" desc=""/>
        <event name="KALAOK_EVENT_DATA_CENTER_PREPARE_TO_SING_MV" desc=""/>
        <event name="KALAOK_EVENT_DATA_CENTER_PREPARE_TO_STEP_ON" desc=""/>
        <event name="KALAOK_EVENT_DATA_CENTER_DOWNLOAD_PROGRESS" />
        <event name="KALAOK_EVENT_DATA_CENTER_START_UPDATE_ALBUMS" />
        <event name="KALAOK_EVENT_DATA_CENTER_DISCONNECTED" desc=""/>
        <event name="KALAOK_EVENT_DATA_CENTER_ALL_FINISHED" desc=""/>
        <event name="KALAOK_EVENT_DATA_CENTER_CALL_FROM_WEB" desc=""/>
    </module>

    <module name="Data_Search" desc="搜索模块发出的消息" count="4">
        <event name="KALAOK_EVENT_DATA_ALBUM_START_SEARCH" receiver="ConfigManager"/>
        <event name="KALAOK_EVENT_DATA_ALBUM_SEARCH_COMPLETED" receiver="ConfigManager"/>
        <event name="KALAOK_EVENT_DATA_ALBUM_START_UPDATE" receiver="ConfigManager"/>
        <event name="KALAOK_EVENT_DATA_ALBUM_UPDATE_COMPLETED" receiver="ConfigManager"/>
    </module>
    
    <module name="Data_Downloader" desc="下载模块发出的消息" count="5">
        <event name="KALAOK_EVENT_DATA_DOWNLOADER_P2P_PROGRESS" receiver=""/>
        <event name="KALAOK_EVENT_DATA_DOWNLOADER_P2P_FINISHED" receiver=""/>
        <event name="KALAOK_EVENT_DATA_DOWNLOADER_P2P_FAILED" receiver=""/>
        <event name="KALAOK_EVENT_DATA_DOWNLOADER_P2P_START" receiver=""/>
        <event name="KALAOK_EVENT_DATA_DOWNLOADER_P2P_SIGCHANGED" receiver=""/>
    </module>
    
    <module name="Config_Manager" desc="配置管理模块发出的消息" count="1">
        <event name="KALAOK_EVENT_CONFIGMANAGER_UPDATE_COMPLETED" receiver="ConfigManager"/>
    </module>
    <module name="Karaoke Core" desc="卡拉OK内核发出的消息" count="32">
        <event name="KALAOK_EVENT_CORE_UPDATE_SENTENCE_PROGRESS" receiver="ConfigManager" desc=""/>
        <event name="KALAOK_EVENT_CORE_UPDATE_SCORE" receiver="ConfigManager" desc=""/>
        <event name="KALAOK_EVENT_CORE_UPDATE_GRAPH" receiver="ConfigManager" desc=""/>
        <event name="KALAOK_EVENT_CORE_SAVE_STAGE_FINISH" receiver="ConfigManager" desc=""/>
        <event name="KALAOK_EVENT_CORE_UPDATE_SAVE_PROGRESS" receiver="ConfigManager" desc=""/>
        <event name="KALAOK_EVENT_CORE_GRAPH_FINISH" receiver="ConfigManager" desc=""/>
        <event name="KALAOK_EVENT_CORE_GRAPH_FAIL" receiver="ConfigManager" desc=""/>
        <event name="KALAOK_EVENT_CORE_COLLECT_NOISE_PROGRESS" receiver="ConfigManager" desc=""/>
        <event name="KALAOK_EVENT_CORE_COLLECT_NOISE_FINISH" receiver="ConfigManager" desc=""/>
        <event name="KALAOK_EVENT_CORE_DENOISE_PROGRESS" receiver="ConfigManager" desc=""/>
        <event name="KALAOK_EVENT_CORE_DENOISE_FINISH" receiver="ConfigManager" desc=""/>
        <event name="KALAOK_EVENT_CORE_USER_TOTAL_SCORE" receiver="ConfigManager" desc=""/>
        <event name="KALAOK_EVENT_CORE_ARTIST_GRAPH" receiver="ConfigManager" desc=""/>
        <event name="KALAOK_EVENT_CORE_PLAY_BUFFER_TIME" receiver="ConfigManager" desc=""/>
        <event name="KALAOK_EVENT_CORE_TOO_LOUD" receiver="ConfigManager" desc=""/>
        <event name="KALAOK_EVENT_CORE_TOO_QUIET" receiver="ConfigManager" desc=""/>
        <event name="KALAOK_EVENT_CORE_CAMERA_LOST", receeiver="ConfigManager" desc=""/>
        <event name="KALAOK_EVENT_CORE_FRAME_DROP", receiver="ConfigManager" desc=""/>
        <event name="KALAOK_EVENT_CORE_DISPLAY_CHANGE" receiver="ConfigManager" desc=""/>
        <event name="KALAOK_EVENT_CORE_ERROR_ABORT" receiver="ConfigManager" desc=""/>
        <event name="KALAOK_EVENT_CORE_SNDDEV_IN_ERROR" receiver="ConfigManager" desc=""/>
        <event name="KALAOK_EVENT_CORE_SNDDEV_OUT_ERROR" receiver="ConfigManager" desc=""/>
        <event name="KALAOK_EVENT_CORE_ON_TIMER" />
        <event name="KALAOK_EVENT_CORE_ON_GRAPH_NOTIFY" />
        <event name="KALAOK_EVENT_CORE_ON_GRAPH_NOTIFY_SAVE" />
        <event name="KALAOK_EVENT_CORE_ON_WAVE_NEW_DATA" />
        <event name="KALAOK_EVENT_CORE_ON_MERGE_COMPLETE" />
        <event name="KALAOK_EVENT_CORE_ON_MP3_COMPRESS_PROGRESS" />
        <event name="KALAOK_EVENT_CORE_ON_MP3_COMPLETE" />
        <event name="KALAOK_EVENT_CORE_ON_DENOISE_PROGRESS" />
        <event name="KALAOK_EVENT_FULLSCREEN_LOST" />
        <event name="KALAOK_EVENT_VMR_SUPPORT_FAIL" />
    </module>
    <module name="Common" desc="日志消息" count="5">
      <event name="KALAOK_EVENT_COMMON_FIRST_ADD_SONG_P2P_DOWNLOAD" receiver="KalaokLogger"/>
      <event name="KALAOK_EVENT_COMMON_INSTALL_SUCCESSFULLY" receiver="KalaokLogger"/>
      <event name="KALAOK_EVENT_COMMON_USE_RREPORT_ERROR" receiver="KalaokLogger"/>
      <event name="KALAOK_EVENT_COMMON_PLAY_SONG" receiver="KalaokLogger"/>
  	</module>
</modules>